Уязвимость BDU:2022-04201

Дата: 02.07.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-04201.

Наименование уязвимости: Уязвимость модульного интерфейса между веб-серверами и веб-приложениями Rack, связанная с неправильной нейтрализацией специальных элементов используемых в команде ОС, позволяющая нарушителю выполнять произвольные команды оболочки в целевой системе.

Описание уязвимости: Уязвимость модульного интерфейса между веб-серверами и веб-приложениями Rack связана с неправильной проверкой ввода при обработке данных, передаваемых через промежуточное ПО Rack Lint и промежуточное ПО CommonLogger. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, передавать специально созданные данные приложению и выполнять произвольные команды ОС в целевой системе
Уязвимое ПО: Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Storage 3 | Операционная система Novell Inc. OpenSUSE Leap 15.3 | Операционная система Debian GNU/Linux 11.0 | Операционная система ООО «Ред Софт» РЕД ОС 7.3 | Операционная система ФССП России ОС ТД АИС ФССП России ИК6 | Операционная система Novell Inc. OpenSUSE Leap 15.4 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Satellite 6 | Прикладное ПО информационных систем Leah Neukirchen Rack до 2.0.9.1 | Прикладное ПО информационных систем Leah Neukirchen Rack до 2.1.4.1 | Прикладное ПО информационных систем Leah Neukirchen Rack до 2.2.3.1 | Операционная система АО «НППКТ» ОСОН ОСнова Оnyx до 2.6 |

Наименование ОС и тип аппаратной платформы: Red Hat Enterprise Linux 7 | Debian GNU/Linux 100 | OpenSUSE Leap 153 | Debian GNU/Linux 110 | РЕД ОС 73 | ОС ТД АИС ФССП России ИК6 | OpenSUSE Leap 154 | ОСОН ОСнова Оnyx до 26 |
Дата выявления: 02.07.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Rack:
https://github.com/advisories/GHSA-wq4h-7r42-5hrr

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2022-30123

Для РедОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2022-30123.html

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2022-30123

Для ОС ТД АИС ФССП России:
https://goslinux.fssp.gov.ru/2726972/

Для ОСОН ОСнова Оnyx:
Обновление программного обеспечения ruby-rack до версии 2.0.6-3+deb10u1.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-30123.

Тип ошибки CWE: CWE-78
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/advisories/GHSA-wq4h-7r42-5hrr
https://security-tracker.debian.org/tracker/CVE-2022-30123
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/
https://www.suse.com/security/cve/CVE-2022-30123.html
https://access.redhat.com/security/cve/cve-2022-30123
https://goslinux.fssp.gov.ru/2726972/
https://поддержка.нппкт.рф/bin/view/ОСнова/Обновления/2.6/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *